<?php 

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_action( 'admin_menu', 'vs_paperknife_plugin_menu' );

function vs_paperknife_plugin_menu() {
	add_management_page( 
        'Paperknife Options', 
        'Paperknife', 
        'manage_options', 
        'com.vicinitysoftware.paperknife', 
        'vs_paperknife_plugin_options' );
}

// Controller logic 
function vs_paperknife_plugin_options() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.', 'paperknife' ) );
	}

    $settings_saved = false; 

    // variables for the field and option names 
    $opt_plugin_enabled   = 'vs_mail_opener_plugin_enable';
    $opt_admin_only       = 'vs_mail_opener_admin_only';
    $opt_no_mail          = 'vs_mail_opener_disable_outgoing_mail';

    $hidden_field_name    = 'vs_mail_opener_submit_hidden';
    $nonce_field_name     = 'vs_mail_opener_settings_nonce';
    $nonce_action         = 'vs_mail_opener_nonce_action';
    
    // Check and verify POST request when available
    if ( 
        isset( $_POST[ $hidden_field_name ] ) && 
        $_POST[ $hidden_field_name ] == 'Y' && 
        check_admin_referer( $nonce_action, $nonce_field_name )
        
        ) { 

        // Save the posted value in the database
        update_option( 
            $opt_plugin_enabled, 
            $_POST[ $opt_plugin_enabled ] );

        update_option( 
            $opt_admin_only, 
            $_POST[ $opt_admin_only ] );   

        update_option( 
            $opt_no_mail, 
            $_POST[ $opt_no_mail ] ); 

        // Notify the view template that we saved settings
        $settings_saved = true;

    }

    // Read in existing option values from database
    $data_plugin_enabled = get_option( $opt_plugin_enabled );
    $data_admin_only     = get_option( $opt_admin_only );
    $data_no_mail        = get_option( $opt_no_mail );
	
    require_once( plugin_dir_path( __FILE__ ) . '../templates/vs_wp_inbrowser_admin.tmpl.php' );
}
