<?php if ( $settings_saved ) : ?>    
    <div class="notice notice-success is-dismissible"><p><strong><?php _e('settings saved.', 'vs-paperknife', 'paperknife' ); ?></strong></p></div>
<?php endif ?>

<div class="wrap">
    
    
    <h1> 
        <img src="<?php echo plugin_dir_url(__FILE__) ?>paperknife-icon-large.png" style="display: none">
        <span><?php echo __( 'Paperknife Settings', 'vs-paperknife', 'paperknife' ) ?></span> 
    </h1>

    <div class="description">
        <p><?php echo __( 'By speeding up your workflow Paperknife helps you test, debug and improve the emails that are generated by Wordpress or a plugin. Gone are the days of waiting for an email to arrive in your mailbox only to check if it looks right.', 'paperknife'); ?></p>
        <p><?php echo __( 'Paperknife catches all emails and opens them in a new browser window or tab for you to review immediately. Paperknife is intended for site builders and Wordpress developers.', 'paperknife') ?></p>     
        <p><?php echo __( '<b>Please review the settings bellow carefully.</b> For live sites it\'s recommended to always run with <kbd>Paperknife for logged-in Administrators only</kbd> option enabled.', 'paperknife' ) ?></p>
     </div>
    
    <hr/>

    <form name="form1" method="post" action="">
        <input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
        <?php wp_nonce_field( $nonce_action, $nonce_field_name ); ?>

        <table class="form-table">
            <tbody>

                <!-- Enable plugin row -->
                <tr valign="top">
                    <th scope="row" style="color: #7337ff">
                        <?php _e("Paperknife", 'paperknife' ); ?>
                    </th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text">
                                <span><?php _e("Enable plugin", 'paperknife' ); ?></span>
                            </legend>
                        </fieldset>
                        <label for="<?php echo $opt_plugin_enabled; ?>">
                            <input
                                type="checkbox"  
                                aria-describedby="tagline-enable"                           
                                id="<?php echo $opt_plugin_enabled; ?>"
                                name="<?php echo $opt_plugin_enabled ?>" 
                                <?php echo $data_plugin_enabled ? 'checked' : '' ?>>
                            <?php _e("<b>Enable</b>", 'paperknife' ); ?>
                        </label>                    
                        <p class="description" id="tagline-enable">
                            <?php _e("Opens all Wordpress generated e-mails in a new browser window for review before sending them to the recipient.", 'paperknife' ); ?>
                        </p>
                    </td>
                </tr>


                <!-- Enable only for admin users -->
                <tr valign="top" class="paperknife-config">
                    <th scope="row">
                        <?php _e("Paperknife for logged-in Administrators only", 'paperknife' ); ?>
                    </th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text">
                                <span><?php _e("Enable (recommended)", 'paperknife' ); ?></span>
                            </legend>
                        </fieldset>
                        <label for="<?php echo $opt_admin_only; ?>">
                            <input
                                type="checkbox"  
                                aria-describedby="tagline-enable-admins"                                
                                id="<?php echo $opt_admin_only; ?>"
                                name="<?php echo $opt_admin_only ?>" 
                                <?php echo $data_admin_only ? 'checked' : '' ?>>
                            <?php _e("Enable (recommended)", 'paperknife' ); ?>
                        </label>
                        <p class="description" id="tagline-enable-admins">
                            <?php _e("When the current logged-in user has administrator rights than open all Wordpress generated e-mails in a new browser window for review before sending them to the recipient.", 'paperknife' ); ?>
                        </p>                                           
                    </td>
                </tr>


                <!-- Disable mail sending when above rules match -->
                <tr valign="top" class="paperknife-config">
                    <th scope="row">
                        <?php _e("Paperknife email blocker", 'paperknife' ); ?>
                    </th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text">
                                <span><?php _e("Admin users only (recommended)", 'paperknife' ); ?></span>
                            </legend>
                        </fieldset>
                        <label for="<?php echo $opt_admin_only; ?>">
                            <input
                                type="checkbox"  
                                aria-describedby="tagline-nomail"                           
                                id="<?php echo $opt_no_email; ?>"
                                name="<?php echo $opt_no_email ?>" 
                                <?php echo $data_no_email ? 'checked' : '' ?>>
                            <?php _e("Enable", 'paperknife' ); ?>
                        </label>       
                        <p class="description" id="tagline-nomail">
                            <?php _e("<b>WARNING:</b> This option disables all emails from being send out! Emails will still be opened in a new browser window so you can review them.", 'paperknife' ); ?>
                        </p>                                     
                    </td>
                </tr>

            </tbody>
        </table>
        
        <p class="submit">
            <input 
                type="submit" 
                name="Submit" 
                class="button-primary" 
                value="<?php esc_attr_e('Save Changes', 'paperknife') ?>" />
        </p>
    </form>

</div>

<script>
    if ( jQuery ) {
        (function($j) {
            var $paperknife_config_rows = $j('tr.paperknife-config');
            var $paperknife_config_input = $paperknife_config_rows.find('input');     
            var $enable_check = $j('input#vs_mail_opener_plugin_enable');                                       
            var paperknife_functions = [
                function() {
                    $paperknife_config_input.attr('disabled', 'disabled');
                    $paperknife_config_rows.css('opacity', 0.5);
                    $enable_check.parent().css('color', 'red');
                },
                function() {
                    $paperknife_config_input.removeAttr('disabled');
                    $paperknife_config_rows.css('opacity', 1);
                    $enable_check.parent().css('color', 'green');
                }];
            $enable_check.change(function(e) {            
                paperknife_functions[($j(this).is(':checked') + 0)]();    
            });        
            paperknife_functions[($enable_check.is(':checked') + 0)]();
        })(jQuery);
    }
</script>